> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.ordergroove.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ordergroove.com/_mcp/server.

# Load

POST https://restapi.ordergroove.com/offer_profiles/load/
Content-Type: application/json

Load a dump of an Offer Profile (obtained via the https://developer.ordergroove.com/reference/offer-profile-dump endpoint) and create a replica of the same setup. The dump can be modified before uploading if any changes are required (like updating the Product ID for a Sample SKU, or changing a discount). The request can be made for the same Merchant, or a different one. By using a different Merchant the Offer Profile setup can be moved across Merchants and environments. The new setup will always be created in an inactive state (the `live` bit on the Offer Profile will be `false`). New objects will be created and no existing premises, incentives, offers, or coupons will be reused. If a product is provided for a Sample SKU or Gift incentive, there must already be a valid product for that Merchant/Product Public ID.

Reference: https://docs.ordergroove.com/reference/rest-rpc-api/offer-profiles/offer-profile-load

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: ordergroove-restrpc
  version: 1.0.0
paths:
  /offer_profiles/load/:
    post:
      operationId: offer-profile-load
      summary: Load
      description: >-
        Load a dump of an Offer Profile (obtained via the
        https://developer.ordergroove.com/reference/offer-profile-dump endpoint)
        and create a replica of the same setup. The dump can be modified before
        uploading if any changes are required (like updating the Product ID for
        a Sample SKU, or changing a discount). The request can be made for the
        same Merchant, or a different one. By using a different Merchant the
        Offer Profile setup can be moved across Merchants and environments. The
        new setup will always be created in an inactive state (the `live` bit on
        the Offer Profile will be `false`). New objects will be created and no
        existing premises, incentives, offers, or coupons will be reused. If a
        product is provided for a Sample SKU or Gift incentive, there must
        already be a valid product for that Merchant/Product Public ID.
      tags:
        - offerProfiles
      parameters:
        - name: preserve_offer_public_ids
          in: query
          description: Determines whether or not the offer public IDs should be preserved
          required: false
          schema:
            type: boolean
            default: false
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '201':
          description: '201'
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Offer
                  Profiles_offer-profile-load_Response_201
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                RAW_BODY:
                  type: string
                  format: json
                  description: >-
                    This should be the output from a call to the dump endpoint
                    (https://developer.ordergroove.com/reference/offer-profile-dump)
servers:
  - url: https://restapi.ordergroove.com
    description: https://restapi.ordergroove.com
components:
  schemas:
    OfferProfilesLoadPostResponsesContentApplicationJsonSchemaInitialCouponDiscountsItems:
      type: object
      properties:
        public_id:
          type: string
        name:
          type: string
        object:
          type: integer
          default: 0
        field:
          type: integer
          default: 0
        type:
          type: string
        value:
          type: string
        threshold_field:
          description: Any type
        threshold_value:
          description: Any type
        coupon:
          type: string
        has_conditions:
          type: boolean
          default: true
      title: >-
        OfferProfilesLoadPostResponsesContentApplicationJsonSchemaInitialCouponDiscountsItems
    OfferProfilesLoadPostResponsesContentApplicationJsonSchemaInitialCoupon:
      type: object
      properties:
        name:
          type: string
        public_id:
          type: string
        code:
          type: string
        has_conditions:
          type: boolean
          default: true
        discounts:
          type: array
          items:
            $ref: >-
              #/components/schemas/OfferProfilesLoadPostResponsesContentApplicationJsonSchemaInitialCouponDiscountsItems
      title: OfferProfilesLoadPostResponsesContentApplicationJsonSchemaInitialCoupon
    OfferProfilesLoadPostResponsesContentApplicationJsonSchemaRecurringCouponDiscountsItems:
      type: object
      properties:
        public_id:
          type: string
        name:
          type: string
        object:
          type: integer
          default: 0
        field:
          type: integer
          default: 0
        type:
          type: string
        value:
          type: string
        threshold_field:
          description: Any type
        threshold_value:
          description: Any type
        coupon:
          type: string
        has_conditions:
          type: boolean
          default: true
      title: >-
        OfferProfilesLoadPostResponsesContentApplicationJsonSchemaRecurringCouponDiscountsItems
    OfferProfilesLoadPostResponsesContentApplicationJsonSchemaRecurringCoupon:
      type: object
      properties:
        name:
          type: string
        public_id:
          type: string
        code:
          type: string
        has_conditions:
          type: boolean
          default: true
        discounts:
          type: array
          items:
            $ref: >-
              #/components/schemas/OfferProfilesLoadPostResponsesContentApplicationJsonSchemaRecurringCouponDiscountsItems
      title: >-
        OfferProfilesLoadPostResponsesContentApplicationJsonSchemaRecurringCoupon
    Offer Profiles_offer-profile-load_Response_201:
      type: object
      properties:
        name:
          type: string
        public_id:
          type: string
        weight:
          type: integer
          default: 0
        live:
          type: boolean
          default: true
        merchant:
          type: string
        initial_coupon:
          $ref: >-
            #/components/schemas/OfferProfilesLoadPostResponsesContentApplicationJsonSchemaInitialCoupon
        recurring_coupon:
          $ref: >-
            #/components/schemas/OfferProfilesLoadPostResponsesContentApplicationJsonSchemaRecurringCoupon
        offers:
          type: array
          items:
            type: string
      title: Offer Profiles_offer-profile-load_Response_201
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

```

## Examples

### Result



**Request**

```json
undefined
```

**Response**

```json
{}
```

**SDK Code**

```python Result
import requests

url = "https://restapi.ordergroove.com/offer_profiles/load/"

headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript Result
const url = 'https://restapi.ordergroove.com/offer_profiles/load/';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: undefined
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Result
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://restapi.ordergroove.com/offer_profiles/load/"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Result
require 'uri'
require 'net/http'

url = URI("https://restapi.ordergroove.com/offer_profiles/load/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'

response = http.request(request)
puts response.read_body
```

```java Result
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://restapi.ordergroove.com/offer_profiles/load/")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .asString();
```

```php Result
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://restapi.ordergroove.com/offer_profiles/load/', [
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Result
using RestSharp;

var client = new RestClient("https://restapi.ordergroove.com/offer_profiles/load/");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
IRestResponse response = client.Execute(request);
```

```swift Result
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://restapi.ordergroove.com/offer_profiles/load/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Legacy Offer Profile



**Request**

```json
{
  "public_id": "e8f7a980d43411efae9feee7aa8f6f94",
  "name": "Offer Profile 1",
  "weight": 100,
  "live": true,
  "initial_coupon": {
    "public_id": "03d1becf82324562929af698255534a2",
    "name": "Offer Profile 1 - initial coupon",
    "code": "rc3_ioi_coupon",
    "conditions": [
      {
        "public_id": "0afbe168bc1c4bc28f380b9f784e9ff0",
        "premises": "9748",
        "description": "DO NOT MODIFY - Merchant Acme 3 shipments prepaid condition",
        "incentives": [
          {
            "object": 2,
            "field": 1,
            "type": "discount_percent",
            "value": "90.00",
            "threshold_field": null,
            "threshold_value": null,
            "name": "DO NOT MODIFY - Merchant Acme 3 shipments prepaid discount",
            "public_id": "a9989cd984fb4d3f8e20db83c4374929",
            "polymorphic_type": "Discount"
          }
        ]
      },
      {
        "public_id": "412432c0f6244e1ea30e4f062587fabf",
        "premises": "9750",
        "description": "DO NOT MODIFY - Merchant Acme 4 shipments prepaid condition",
        "incentives": [
          {
            "object": 2,
            "field": 1,
            "type": "discount_percent",
            "value": "95.00",
            "threshold_field": null,
            "threshold_value": null,
            "name": "DO NOT MODIFY - Merchant Acme 4 shipments prepaid discount",
            "public_id": "78770aa2780145ce8cf7f9dd21fb1b47",
            "polymorphic_type": "Discount"
          }
        ]
      }
    ],
    "incentives": [
      {
        "object": 2,
        "field": 1,
        "type": "discount_percent",
        "value": "65.00",
        "threshold_field": null,
        "threshold_value": null,
        "name": "Offer Profile 1 initial discount",
        "public_id": "210df43d700042ed9cb9f3a976329d0c",
        "polymorphic_type": "Discount"
      },
      {
        "object": 2,
        "field": 1,
        "type": "discount_percent",
        "value": "90.00",
        "threshold_field": null,
        "threshold_value": null,
        "name": "DO NOT MODIFY - Merchant Acme 3 shipments prepaid discount",
        "public_id": "a9989cd984fb4d3f8e20db83c4374929",
        "polymorphic_type": "Discount"
      },
      {
        "object": 2,
        "field": 1,
        "type": "discount_percent",
        "value": "95.00",
        "threshold_field": null,
        "threshold_value": null,
        "name": "DO NOT MODIFY - Merchant Acme 4 shipments prepaid discount",
        "public_id": "78770aa2780145ce8cf7f9dd21fb1b47",
        "polymorphic_type": "Discount"
      }
    ],
    "standard_flex_incentives": []
  },
  "recurring_coupon": {
    "public_id": "e324d31f9a0443998a4e0a46d93053cc",
    "name": "Offer Profile recurring coupon",
    "code": "rc3_recurring_coupon",
    "conditions": [
      {
        "public_id": "72318d44bd584791b659abfbfc6bee38",
        "premises": "9749",
        "description": "DO NOT MODIFY - Merchant Acme 3 shipments prepaid condition",
        "incentives": [
          {
            "object": 2,
            "field": 1,
            "type": "discount_percent",
            "value": "95.00",
            "threshold_field": null,
            "threshold_value": null,
            "name": "DO NOT MODIFY - Merchant Acme 3 shipments prepaid discount",
            "public_id": "94788a42496246c0a7181954df86fa4a",
            "polymorphic_type": "Discount"
          }
        ]
      },
      {
        "public_id": "844444355bd8423f9578dacabd58ffe1",
        "premises": "9751",
        "description": "DO NOT MODIFY - Merchant Acme 4 shipments prepaid condition",
        "incentives": [
          {
            "object": 2,
            "field": 1,
            "type": "discount_percent",
            "value": "97.00",
            "threshold_field": null,
            "threshold_value": null,
            "name": "DO NOT MODIFY - Merchant Acme 4 shipments prepaid discount",
            "public_id": "f93bc326c42f4f14a7cdcb6e3611e03b",
            "polymorphic_type": "Discount"
          }
        ]
      },
      {
        "public_id": "0000db0df67049e4915e0148389e6348",
        "premises": "73",
        "description": "Threshold Condition",
        "incentives": [
          {
            "object": 1,
            "field": 3,
            "type": "discount_percent",
            "value": "50.00",
            "threshold_field": null,
            "threshold_value": "1.50",
            "name": "Offer Profile recurring discount - 0",
            "public_id": "f09c3b5db20d484086d68f967bd28af8",
            "polymorphic_type": "Discount"
          }
        ]
      }
    ],
    "incentives": [
      {
        "object": 1,
        "field": 3,
        "type": "discount_percent",
        "value": "50.00",
        "threshold_field": null,
        "threshold_value": "1.50",
        "name": "Offer Profile recurring discount - 0",
        "public_id": "f09c3b5db20d484086d68f967bd28af8",
        "polymorphic_type": "Discount"
      },
      {
        "object": 2,
        "field": 1,
        "type": "discount_amount",
        "value": "0.25",
        "threshold_field": null,
        "threshold_value": "2.25",
        "name": "Offer Profile recurring discount - 1",
        "public_id": "3e98f94285f94631aab4675f361f57d0",
        "polymorphic_type": "Discount"
      },
      {
        "object": 2,
        "field": 1,
        "type": "discount_percent",
        "value": "95.00",
        "threshold_field": null,
        "threshold_value": null,
        "name": "DO NOT MODIFY - Merchant Acme 3 shipments prepaid discount",
        "public_id": "94788a42496246c0a7181954df86fa4a",
        "polymorphic_type": "Discount"
      },
      {
        "object": 2,
        "field": 1,
        "type": "discount_percent",
        "value": "97.00",
        "threshold_field": null,
        "threshold_value": null,
        "name": "DO NOT MODIFY - Merchant Acme 4 shipments prepaid discount",
        "public_id": "f93bc326c42f4f14a7cdcb6e3611e03b",
        "polymorphic_type": "Discount"
      },
      {
        "object": 1,
        "field": 3,
        "type": "discount_amount",
        "value": "10.00",
        "threshold_field": null,
        "threshold_value": null,
        "name": "$10 Off Discoun",
        "public_id": "6a2ba764b74a487285305a91242d83a0",
        "polymorphic_type": "Discount"
      }
    ],
    "standard_flex_incentives": []
  },
  "offers": [
    {
      "public_id": "e9073792d43411ef998a626c4261b4a9",
      "name": "Standard Offer",
      "offer_type": 1,
      "weight": 100,
      "live": true,
      "module_view": 1
    }
  ],
  "premises": [
    {
      "id": 73,
      "public_id": "8a61f834ccb94cca935421d7640def29",
      "slug": "9b3e304bb03f410fa9d8a86f00d95fa5",
      "premise_type": "Current item is of replenishment type",
      "operand": "eq",
      "value": ""
    },
    {
      "id": 9748,
      "public_id": "51621bc540fc4bd0b419a51a2e45b579",
      "slug": "a788764df77a4890b9c24b119c15150b",
      "premise_type": "Number of orders per billing for a prepaid subscription cycle",
      "operand": "eq",
      "value": "3"
    },
    {
      "id": 9749,
      "public_id": "1564d568682d4565a9b32befda8dfb55",
      "slug": "c23fa72af1a34085bb025cec6381711e",
      "premise_type": "Number of orders per billing for a prepaid subscription cycle",
      "operand": "eq",
      "value": "3"
    },
    {
      "id": 9750,
      "public_id": "d9cb7b5fcd664aa6a5ec247d779dedf2",
      "slug": "b33c3a774bb54542a1cfdeda66f2aa55",
      "premise_type": "Number of orders per billing for a prepaid subscription cycle",
      "operand": "eq",
      "value": "4"
    },
    {
      "id": 9751,
      "public_id": "ed82ea28b6a04a6391df33d8abcfe52a",
      "slug": "d6b9661b7b554854b4d977eb47272145",
      "premise_type": "Number of orders per billing for a prepaid subscription cycle",
      "operand": "eq",
      "value": "4"
    }
  ]
}
```

**Response**

```json
{}
```

**SDK Code**

```python Legacy Offer Profile
import requests

url = "https://restapi.ordergroove.com/offer_profiles/load/"

payload = {
    "public_id": "e8f7a980d43411efae9feee7aa8f6f94",
    "name": "Offer Profile 1",
    "weight": 100,
    "live": True,
    "initial_coupon": {
        "public_id": "03d1becf82324562929af698255534a2",
        "name": "Offer Profile 1 - initial coupon",
        "code": "rc3_ioi_coupon",
        "conditions": [
            {
                "public_id": "0afbe168bc1c4bc28f380b9f784e9ff0",
                "premises": "9748",
                "description": "DO NOT MODIFY - Merchant Acme 3 shipments prepaid condition",
                "incentives": [
                    {
                        "object": 2,
                        "field": 1,
                        "type": "discount_percent",
                        "value": "90.00",
                        "threshold_field": None,
                        "threshold_value": None,
                        "name": "DO NOT MODIFY - Merchant Acme 3 shipments prepaid discount",
                        "public_id": "a9989cd984fb4d3f8e20db83c4374929",
                        "polymorphic_type": "Discount"
                    }
                ]
            },
            {
                "public_id": "412432c0f6244e1ea30e4f062587fabf",
                "premises": "9750",
                "description": "DO NOT MODIFY - Merchant Acme 4 shipments prepaid condition",
                "incentives": [
                    {
                        "object": 2,
                        "field": 1,
                        "type": "discount_percent",
                        "value": "95.00",
                        "threshold_field": None,
                        "threshold_value": None,
                        "name": "DO NOT MODIFY - Merchant Acme 4 shipments prepaid discount",
                        "public_id": "78770aa2780145ce8cf7f9dd21fb1b47",
                        "polymorphic_type": "Discount"
                    }
                ]
            }
        ],
        "incentives": [
            {
                "object": 2,
                "field": 1,
                "type": "discount_percent",
                "value": "65.00",
                "threshold_field": None,
                "threshold_value": None,
                "name": "Offer Profile 1 initial discount",
                "public_id": "210df43d700042ed9cb9f3a976329d0c",
                "polymorphic_type": "Discount"
            },
            {
                "object": 2,
                "field": 1,
                "type": "discount_percent",
                "value": "90.00",
                "threshold_field": None,
                "threshold_value": None,
                "name": "DO NOT MODIFY - Merchant Acme 3 shipments prepaid discount",
                "public_id": "a9989cd984fb4d3f8e20db83c4374929",
                "polymorphic_type": "Discount"
            },
            {
                "object": 2,
                "field": 1,
                "type": "discount_percent",
                "value": "95.00",
                "threshold_field": None,
                "threshold_value": None,
                "name": "DO NOT MODIFY - Merchant Acme 4 shipments prepaid discount",
                "public_id": "78770aa2780145ce8cf7f9dd21fb1b47",
                "polymorphic_type": "Discount"
            }
        ],
        "standard_flex_incentives": []
    },
    "recurring_coupon": {
        "public_id": "e324d31f9a0443998a4e0a46d93053cc",
        "name": "Offer Profile recurring coupon",
        "code": "rc3_recurring_coupon",
        "conditions": [
            {
                "public_id": "72318d44bd584791b659abfbfc6bee38",
                "premises": "9749",
                "description": "DO NOT MODIFY - Merchant Acme 3 shipments prepaid condition",
                "incentives": [
                    {
                        "object": 2,
                        "field": 1,
                        "type": "discount_percent",
                        "value": "95.00",
                        "threshold_field": None,
                        "threshold_value": None,
                        "name": "DO NOT MODIFY - Merchant Acme 3 shipments prepaid discount",
                        "public_id": "94788a42496246c0a7181954df86fa4a",
                        "polymorphic_type": "Discount"
                    }
                ]
            },
            {
                "public_id": "844444355bd8423f9578dacabd58ffe1",
                "premises": "9751",
                "description": "DO NOT MODIFY - Merchant Acme 4 shipments prepaid condition",
                "incentives": [
                    {
                        "object": 2,
                        "field": 1,
                        "type": "discount_percent",
                        "value": "97.00",
                        "threshold_field": None,
                        "threshold_value": None,
                        "name": "DO NOT MODIFY - Merchant Acme 4 shipments prepaid discount",
                        "public_id": "f93bc326c42f4f14a7cdcb6e3611e03b",
                        "polymorphic_type": "Discount"
                    }
                ]
            },
            {
                "public_id": "0000db0df67049e4915e0148389e6348",
                "premises": "73",
                "description": "Threshold Condition",
                "incentives": [
                    {
                        "object": 1,
                        "field": 3,
                        "type": "discount_percent",
                        "value": "50.00",
                        "threshold_field": None,
                        "threshold_value": "1.50",
                        "name": "Offer Profile recurring discount - 0",
                        "public_id": "f09c3b5db20d484086d68f967bd28af8",
                        "polymorphic_type": "Discount"
                    }
                ]
            }
        ],
        "incentives": [
            {
                "object": 1,
                "field": 3,
                "type": "discount_percent",
                "value": "50.00",
                "threshold_field": None,
                "threshold_value": "1.50",
                "name": "Offer Profile recurring discount - 0",
                "public_id": "f09c3b5db20d484086d68f967bd28af8",
                "polymorphic_type": "Discount"
            },
            {
                "object": 2,
                "field": 1,
                "type": "discount_amount",
                "value": "0.25",
                "threshold_field": None,
                "threshold_value": "2.25",
                "name": "Offer Profile recurring discount - 1",
                "public_id": "3e98f94285f94631aab4675f361f57d0",
                "polymorphic_type": "Discount"
            },
            {
                "object": 2,
                "field": 1,
                "type": "discount_percent",
                "value": "95.00",
                "threshold_field": None,
                "threshold_value": None,
                "name": "DO NOT MODIFY - Merchant Acme 3 shipments prepaid discount",
                "public_id": "94788a42496246c0a7181954df86fa4a",
                "polymorphic_type": "Discount"
            },
            {
                "object": 2,
                "field": 1,
                "type": "discount_percent",
                "value": "97.00",
                "threshold_field": None,
                "threshold_value": None,
                "name": "DO NOT MODIFY - Merchant Acme 4 shipments prepaid discount",
                "public_id": "f93bc326c42f4f14a7cdcb6e3611e03b",
                "polymorphic_type": "Discount"
            },
            {
                "object": 1,
                "field": 3,
                "type": "discount_amount",
                "value": "10.00",
                "threshold_field": None,
                "threshold_value": None,
                "name": "$10 Off Discoun",
                "public_id": "6a2ba764b74a487285305a91242d83a0",
                "polymorphic_type": "Discount"
            }
        ],
        "standard_flex_incentives": []
    },
    "offers": [
        {
            "public_id": "e9073792d43411ef998a626c4261b4a9",
            "name": "Standard Offer",
            "offer_type": 1,
            "weight": 100,
            "live": True,
            "module_view": 1
        }
    ],
    "premises": [
        {
            "id": 73,
            "public_id": "8a61f834ccb94cca935421d7640def29",
            "slug": "9b3e304bb03f410fa9d8a86f00d95fa5",
            "premise_type": "Current item is of replenishment type",
            "operand": "eq",
            "value": ""
        },
        {
            "id": 9748,
            "public_id": "51621bc540fc4bd0b419a51a2e45b579",
            "slug": "a788764df77a4890b9c24b119c15150b",
            "premise_type": "Number of orders per billing for a prepaid subscription cycle",
            "operand": "eq",
            "value": "3"
        },
        {
            "id": 9749,
            "public_id": "1564d568682d4565a9b32befda8dfb55",
            "slug": "c23fa72af1a34085bb025cec6381711e",
            "premise_type": "Number of orders per billing for a prepaid subscription cycle",
            "operand": "eq",
            "value": "3"
        },
        {
            "id": 9750,
            "public_id": "d9cb7b5fcd664aa6a5ec247d779dedf2",
            "slug": "b33c3a774bb54542a1cfdeda66f2aa55",
            "premise_type": "Number of orders per billing for a prepaid subscription cycle",
            "operand": "eq",
            "value": "4"
        },
        {
            "id": 9751,
            "public_id": "ed82ea28b6a04a6391df33d8abcfe52a",
            "slug": "d6b9661b7b554854b4d977eb47272145",
            "premise_type": "Number of orders per billing for a prepaid subscription cycle",
            "operand": "eq",
            "value": "4"
        }
    ]
}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Legacy Offer Profile
const url = 'https://restapi.ordergroove.com/offer_profiles/load/';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"public_id":"e8f7a980d43411efae9feee7aa8f6f94","name":"Offer Profile 1","weight":100,"live":true,"initial_coupon":{"public_id":"03d1becf82324562929af698255534a2","name":"Offer Profile 1 - initial coupon","code":"rc3_ioi_coupon","conditions":[{"public_id":"0afbe168bc1c4bc28f380b9f784e9ff0","premises":"9748","description":"DO NOT MODIFY - Merchant Acme 3 shipments prepaid condition","incentives":[{"object":2,"field":1,"type":"discount_percent","value":"90.00","threshold_field":null,"threshold_value":null,"name":"DO NOT MODIFY - Merchant Acme 3 shipments prepaid discount","public_id":"a9989cd984fb4d3f8e20db83c4374929","polymorphic_type":"Discount"}]},{"public_id":"412432c0f6244e1ea30e4f062587fabf","premises":"9750","description":"DO NOT MODIFY - Merchant Acme 4 shipments prepaid condition","incentives":[{"object":2,"field":1,"type":"discount_percent","value":"95.00","threshold_field":null,"threshold_value":null,"name":"DO NOT MODIFY - Merchant Acme 4 shipments prepaid discount","public_id":"78770aa2780145ce8cf7f9dd21fb1b47","polymorphic_type":"Discount"}]}],"incentives":[{"object":2,"field":1,"type":"discount_percent","value":"65.00","threshold_field":null,"threshold_value":null,"name":"Offer Profile 1 initial discount","public_id":"210df43d700042ed9cb9f3a976329d0c","polymorphic_type":"Discount"},{"object":2,"field":1,"type":"discount_percent","value":"90.00","threshold_field":null,"threshold_value":null,"name":"DO NOT MODIFY - Merchant Acme 3 shipments prepaid discount","public_id":"a9989cd984fb4d3f8e20db83c4374929","polymorphic_type":"Discount"},{"object":2,"field":1,"type":"discount_percent","value":"95.00","threshold_field":null,"threshold_value":null,"name":"DO NOT MODIFY - Merchant Acme 4 shipments prepaid discount","public_id":"78770aa2780145ce8cf7f9dd21fb1b47","polymorphic_type":"Discount"}],"standard_flex_incentives":[]},"recurring_coupon":{"public_id":"e324d31f9a0443998a4e0a46d93053cc","name":"Offer Profile recurring coupon","code":"rc3_recurring_coupon","conditions":[{"public_id":"72318d44bd584791b659abfbfc6bee38","premises":"9749","description":"DO NOT MODIFY - Merchant Acme 3 shipments prepaid condition","incentives":[{"object":2,"field":1,"type":"discount_percent","value":"95.00","threshold_field":null,"threshold_value":null,"name":"DO NOT MODIFY - Merchant Acme 3 shipments prepaid discount","public_id":"94788a42496246c0a7181954df86fa4a","polymorphic_type":"Discount"}]},{"public_id":"844444355bd8423f9578dacabd58ffe1","premises":"9751","description":"DO NOT MODIFY - Merchant Acme 4 shipments prepaid condition","incentives":[{"object":2,"field":1,"type":"discount_percent","value":"97.00","threshold_field":null,"threshold_value":null,"name":"DO NOT MODIFY - Merchant Acme 4 shipments prepaid discount","public_id":"f93bc326c42f4f14a7cdcb6e3611e03b","polymorphic_type":"Discount"}]},{"public_id":"0000db0df67049e4915e0148389e6348","premises":"73","description":"Threshold Condition","incentives":[{"object":1,"field":3,"type":"discount_percent","value":"50.00","threshold_field":null,"threshold_value":"1.50","name":"Offer Profile recurring discount - 0","public_id":"f09c3b5db20d484086d68f967bd28af8","polymorphic_type":"Discount"}]}],"incentives":[{"object":1,"field":3,"type":"discount_percent","value":"50.00","threshold_field":null,"threshold_value":"1.50","name":"Offer Profile recurring discount - 0","public_id":"f09c3b5db20d484086d68f967bd28af8","polymorphic_type":"Discount"},{"object":2,"field":1,"type":"discount_amount","value":"0.25","threshold_field":null,"threshold_value":"2.25","name":"Offer Profile recurring discount - 1","public_id":"3e98f94285f94631aab4675f361f57d0","polymorphic_type":"Discount"},{"object":2,"field":1,"type":"discount_percent","value":"95.00","threshold_field":null,"threshold_value":null,"name":"DO NOT MODIFY - Merchant Acme 3 shipments prepaid discount","public_id":"94788a42496246c0a7181954df86fa4a","polymorphic_type":"Discount"},{"object":2,"field":1,"type":"discount_percent","value":"97.00","threshold_field":null,"threshold_value":null,"name":"DO NOT MODIFY - Merchant Acme 4 shipments prepaid discount","public_id":"f93bc326c42f4f14a7cdcb6e3611e03b","polymorphic_type":"Discount"},{"object":1,"field":3,"type":"discount_amount","value":"10.00","threshold_field":null,"threshold_value":null,"name":"$10 Off Discoun","public_id":"6a2ba764b74a487285305a91242d83a0","polymorphic_type":"Discount"}],"standard_flex_incentives":[]},"offers":[{"public_id":"e9073792d43411ef998a626c4261b4a9","name":"Standard Offer","offer_type":1,"weight":100,"live":true,"module_view":1}],"premises":[{"id":73,"public_id":"8a61f834ccb94cca935421d7640def29","slug":"9b3e304bb03f410fa9d8a86f00d95fa5","premise_type":"Current item is of replenishment type","operand":"eq","value":""},{"id":9748,"public_id":"51621bc540fc4bd0b419a51a2e45b579","slug":"a788764df77a4890b9c24b119c15150b","premise_type":"Number of orders per billing for a prepaid subscription cycle","operand":"eq","value":"3"},{"id":9749,"public_id":"1564d568682d4565a9b32befda8dfb55","slug":"c23fa72af1a34085bb025cec6381711e","premise_type":"Number of orders per billing for a prepaid subscription cycle","operand":"eq","value":"3"},{"id":9750,"public_id":"d9cb7b5fcd664aa6a5ec247d779dedf2","slug":"b33c3a774bb54542a1cfdeda66f2aa55","premise_type":"Number of orders per billing for a prepaid subscription cycle","operand":"eq","value":"4"},{"id":9751,"public_id":"ed82ea28b6a04a6391df33d8abcfe52a","slug":"d6b9661b7b554854b4d977eb47272145","premise_type":"Number of orders per billing for a prepaid subscription cycle","operand":"eq","value":"4"}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Legacy Offer Profile
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://restapi.ordergroove.com/offer_profiles/load/"

	payload := strings.NewReader("{\n  \"public_id\": \"e8f7a980d43411efae9feee7aa8f6f94\",\n  \"name\": \"Offer Profile 1\",\n  \"weight\": 100,\n  \"live\": true,\n  \"initial_coupon\": {\n    \"public_id\": \"03d1becf82324562929af698255534a2\",\n    \"name\": \"Offer Profile 1 - initial coupon\",\n    \"code\": \"rc3_ioi_coupon\",\n    \"conditions\": [\n      {\n        \"public_id\": \"0afbe168bc1c4bc28f380b9f784e9ff0\",\n        \"premises\": \"9748\",\n        \"description\": \"DO NOT MODIFY - Merchant Acme 3 shipments prepaid condition\",\n        \"incentives\": [\n          {\n            \"object\": 2,\n            \"field\": 1,\n            \"type\": \"discount_percent\",\n            \"value\": \"90.00\",\n            \"threshold_field\": null,\n            \"threshold_value\": null,\n            \"name\": \"DO NOT MODIFY - Merchant Acme 3 shipments prepaid discount\",\n            \"public_id\": \"a9989cd984fb4d3f8e20db83c4374929\",\n            \"polymorphic_type\": \"Discount\"\n          }\n        ]\n      },\n      {\n        \"public_id\": \"412432c0f6244e1ea30e4f062587fabf\",\n        \"premises\": \"9750\",\n        \"description\": \"DO NOT MODIFY - Merchant Acme 4 shipments prepaid condition\",\n        \"incentives\": [\n          {\n            \"object\": 2,\n            \"field\": 1,\n            \"type\": \"discount_percent\",\n            \"value\": \"95.00\",\n            \"threshold_field\": null,\n            \"threshold_value\": null,\n            \"name\": \"DO NOT MODIFY - Merchant Acme 4 shipments prepaid discount\",\n            \"public_id\": \"78770aa2780145ce8cf7f9dd21fb1b47\",\n            \"polymorphic_type\": \"Discount\"\n          }\n        ]\n      }\n    ],\n    \"incentives\": [\n      {\n        \"object\": 2,\n        \"field\": 1,\n        \"type\": \"discount_percent\",\n        \"value\": \"65.00\",\n        \"threshold_field\": null,\n        \"threshold_value\": null,\n        \"name\": \"Offer Profile 1 initial discount\",\n        \"public_id\": \"210df43d700042ed9cb9f3a976329d0c\",\n        \"polymorphic_type\": \"Discount\"\n      },\n      {\n        \"object\": 2,\n        \"field\": 1,\n        \"type\": \"discount_percent\",\n        \"value\": \"90.00\",\n        \"threshold_field\": null,\n        \"threshold_value\": null,\n        \"name\": \"DO NOT MODIFY - Merchant Acme 3 shipments prepaid discount\",\n        \"public_id\": \"a9989cd984fb4d3f8e20db83c4374929\",\n        \"polymorphic_type\": \"Discount\"\n      },\n      {\n        \"object\": 2,\n        \"field\": 1,\n        \"type\": \"discount_percent\",\n        \"value\": \"95.00\",\n        \"threshold_field\": null,\n        \"threshold_value\": null,\n        \"name\": \"DO NOT MODIFY - Merchant Acme 4 shipments prepaid discount\",\n        \"public_id\": \"78770aa2780145ce8cf7f9dd21fb1b47\",\n        \"polymorphic_type\": \"Discount\"\n      }\n    ],\n    \"standard_flex_incentives\": []\n  },\n  \"recurring_coupon\": {\n    \"public_id\": \"e324d31f9a0443998a4e0a46d93053cc\",\n    \"name\": \"Offer Profile recurring coupon\",\n    \"code\": \"rc3_recurring_coupon\",\n    \"conditions\": [\n      {\n        \"public_id\": \"72318d44bd584791b659abfbfc6bee38\",\n        \"premises\": \"9749\",\n        \"description\": \"DO NOT MODIFY - Merchant Acme 3 shipments prepaid condition\",\n        \"incentives\": [\n          {\n            \"object\": 2,\n            \"field\": 1,\n            \"type\": \"discount_percent\",\n            \"value\": \"95.00\",\n            \"threshold_field\": null,\n            \"threshold_value\": null,\n            \"name\": \"DO NOT MODIFY - Merchant Acme 3 shipments prepaid discount\",\n            \"public_id\": \"94788a42496246c0a7181954df86fa4a\",\n            \"polymorphic_type\": \"Discount\"\n          }\n        ]\n      },\n      {\n        \"public_id\": \"844444355bd8423f9578dacabd58ffe1\",\n        \"premises\": \"9751\",\n        \"description\": \"DO NOT MODIFY - Merchant Acme 4 shipments prepaid condition\",\n        \"incentives\": [\n          {\n            \"object\": 2,\n            \"field\": 1,\n            \"type\": \"discount_percent\",\n            \"value\": \"97.00\",\n            \"threshold_field\": null,\n            \"threshold_value\": null,\n            \"name\": \"DO NOT MODIFY - Merchant Acme 4 shipments prepaid discount\",\n            \"public_id\": \"f93bc326c42f4f14a7cdcb6e3611e03b\",\n            \"polymorphic_type\": \"Discount\"\n          }\n        ]\n      },\n      {\n        \"public_id\": \"0000db0df67049e4915e0148389e6348\",\n        \"premises\": \"73\",\n        \"description\": \"Threshold Condition\",\n        \"incentives\": [\n          {\n            \"object\": 1,\n            \"field\": 3,\n            \"type\": \"discount_percent\",\n            \"value\": \"50.00\",\n            \"threshold_field\": null,\n            \"threshold_value\": \"1.50\",\n            \"name\": \"Offer Profile recurring discount - 0\",\n            \"public_id\": \"f09c3b5db20d484086d68f967bd28af8\",\n            \"polymorphic_type\": \"Discount\"\n          }\n        ]\n      }\n    ],\n    \"incentives\": [\n      {\n        \"object\": 1,\n        \"field\": 3,\n        \"type\": \"discount_percent\",\n        \"value\": \"50.00\",\n        \"threshold_field\": null,\n        \"threshold_value\": \"1.50\",\n        \"name\": \"Offer Profile recurring discount - 0\",\n        \"public_id\": \"f09c3b5db20d484086d68f967bd28af8\",\n        \"polymorphic_type\": \"Discount\"\n      },\n      {\n        \"object\": 2,\n        \"field\": 1,\n        \"type\": \"discount_amount\",\n        \"value\": \"0.25\",\n        \"threshold_field\": null,\n        \"threshold_value\": \"2.25\",\n        \"name\": \"Offer Profile recurring discount - 1\",\n        \"public_id\": \"3e98f94285f94631aab4675f361f57d0\",\n        \"polymorphic_type\": \"Discount\"\n      },\n      {\n        \"object\": 2,\n        \"field\": 1,\n        \"type\": \"discount_percent\",\n        \"value\": \"95.00\",\n        \"threshold_field\": null,\n        \"threshold_value\": null,\n        \"name\": \"DO NOT MODIFY - Merchant Acme 3 shipments prepaid discount\",\n        \"public_id\": \"94788a42496246c0a7181954df86fa4a\",\n        \"polymorphic_type\": \"Discount\"\n      },\n      {\n        \"object\": 2,\n        \"field\": 1,\n        \"type\": \"discount_percent\",\n        \"value\": \"97.00\",\n        \"threshold_field\": null,\n        \"threshold_value\": null,\n        \"name\": \"DO NOT MODIFY - Merchant Acme 4 shipments prepaid discount\",\n        \"public_id\": \"f93bc326c42f4f14a7cdcb6e3611e03b\",\n        \"polymorphic_type\": \"Discount\"\n      },\n      {\n        \"object\": 1,\n        \"field\": 3,\n        \"type\": \"discount_amount\",\n        \"value\": \"10.00\",\n        \"threshold_field\": null,\n        \"threshold_value\": null,\n        \"name\": \"$10 Off Discoun\",\n        \"public_id\": \"6a2ba764b74a487285305a91242d83a0\",\n        \"polymorphic_type\": \"Discount\"\n      }\n    ],\n    \"standard_flex_incentives\": []\n  },\n  \"offers\": [\n    {\n      \"public_id\": \"e9073792d43411ef998a626c4261b4a9\",\n      \"name\": \"Standard Offer\",\n      \"offer_type\": 1,\n      \"weight\": 100,\n      \"live\": true,\n      \"module_view\": 1\n    }\n  ],\n  \"premises\": [\n    {\n      \"id\": 73,\n      \"public_id\": \"8a61f834ccb94cca935421d7640def29\",\n      \"slug\": \"9b3e304bb03f410fa9d8a86f00d95fa5\",\n      \"premise_type\": \"Current item is of replenishment type\",\n      \"operand\": \"eq\",\n      \"value\": \"\"\n    },\n    {\n      \"id\": 9748,\n      \"public_id\": \"51621bc540fc4bd0b419a51a2e45b579\",\n      \"slug\": \"a788764df77a4890b9c24b119c15150b\",\n      \"premise_type\": \"Number of orders per billing for a prepaid subscription cycle\",\n      \"operand\": \"eq\",\n      \"value\": \"3\"\n    },\n    {\n      \"id\": 9749,\n      \"public_id\": \"1564d568682d4565a9b32befda8dfb55\",\n      \"slug\": \"c23fa72af1a34085bb025cec6381711e\",\n      \"premise_type\": \"Number of orders per billing for a prepaid subscription cycle\",\n      \"operand\": \"eq\",\n      \"value\": \"3\"\n    },\n    {\n      \"id\": 9750,\n      \"public_id\": \"d9cb7b5fcd664aa6a5ec247d779dedf2\",\n      \"slug\": \"b33c3a774bb54542a1cfdeda66f2aa55\",\n      \"premise_type\": \"Number of orders per billing for a prepaid subscription cycle\",\n      \"operand\": \"eq\",\n      \"value\": \"4\"\n    },\n    {\n      \"id\": 9751,\n      \"public_id\": \"ed82ea28b6a04a6391df33d8abcfe52a\",\n      \"slug\": \"d6b9661b7b554854b4d977eb47272145\",\n      \"premise_type\": \"Number of orders per billing for a prepaid subscription cycle\",\n      \"operand\": \"eq\",\n      \"value\": \"4\"\n    }\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Legacy Offer Profile
require 'uri'
require 'net/http'

url = URI("https://restapi.ordergroove.com/offer_profiles/load/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"public_id\": \"e8f7a980d43411efae9feee7aa8f6f94\",\n  \"name\": \"Offer Profile 1\",\n  \"weight\": 100,\n  \"live\": true,\n  \"initial_coupon\": {\n    \"public_id\": \"03d1becf82324562929af698255534a2\",\n    \"name\": \"Offer Profile 1 - initial coupon\",\n    \"code\": \"rc3_ioi_coupon\",\n    \"conditions\": [\n      {\n        \"public_id\": \"0afbe168bc1c4bc28f380b9f784e9ff0\",\n        \"premises\": \"9748\",\n        \"description\": \"DO NOT MODIFY - Merchant Acme 3 shipments prepaid condition\",\n        \"incentives\": [\n          {\n            \"object\": 2,\n            \"field\": 1,\n            \"type\": \"discount_percent\",\n            \"value\": \"90.00\",\n            \"threshold_field\": null,\n            \"threshold_value\": null,\n            \"name\": \"DO NOT MODIFY - Merchant Acme 3 shipments prepaid discount\",\n            \"public_id\": \"a9989cd984fb4d3f8e20db83c4374929\",\n            \"polymorphic_type\": \"Discount\"\n          }\n        ]\n      },\n      {\n        \"public_id\": \"412432c0f6244e1ea30e4f062587fabf\",\n        \"premises\": \"9750\",\n        \"description\": \"DO NOT MODIFY - Merchant Acme 4 shipments prepaid condition\",\n        \"incentives\": [\n          {\n            \"object\": 2,\n            \"field\": 1,\n            \"type\": \"discount_percent\",\n            \"value\": \"95.00\",\n            \"threshold_field\": null,\n            \"threshold_value\": null,\n            \"name\": \"DO NOT MODIFY - Merchant Acme 4 shipments prepaid discount\",\n            \"public_id\": \"78770aa2780145ce8cf7f9dd21fb1b47\",\n            \"polymorphic_type\": \"Discount\"\n          }\n        ]\n      }\n    ],\n    \"incentives\": [\n      {\n        \"object\": 2,\n        \"field\": 1,\n        \"type\": \"discount_percent\",\n        \"value\": \"65.00\",\n        \"threshold_field\": null,\n        \"threshold_value\": null,\n        \"name\": \"Offer Profile 1 initial discount\",\n        \"public_id\": \"210df43d700042ed9cb9f3a976329d0c\",\n        \"polymorphic_type\": \"Discount\"\n      },\n      {\n        \"object\": 2,\n        \"field\": 1,\n        \"type\": \"discount_percent\",\n        \"value\": \"90.00\",\n        \"threshold_field\": null,\n        \"threshold_value\": null,\n        \"name\": \"DO NOT MODIFY - Merchant Acme 3 shipments prepaid discount\",\n        \"public_id\": \"a9989cd984fb4d3f8e20db83c4374929\",\n        \"polymorphic_type\": \"Discount\"\n      },\n      {\n        \"object\": 2,\n        \"field\": 1,\n        \"type\": \"discount_percent\",\n        \"value\": \"95.00\",\n        \"threshold_field\": null,\n        \"threshold_value\": null,\n        \"name\": \"DO NOT MODIFY - Merchant Acme 4 shipments prepaid discount\",\n        \"public_id\": \"78770aa2780145ce8cf7f9dd21fb1b47\",\n        \"polymorphic_type\": \"Discount\"\n      }\n    ],\n    \"standard_flex_incentives\": []\n  },\n  \"recurring_coupon\": {\n    \"public_id\": \"e324d31f9a0443998a4e0a46d93053cc\",\n    \"name\": \"Offer Profile recurring coupon\",\n    \"code\": \"rc3_recurring_coupon\",\n    \"conditions\": [\n      {\n        \"public_id\": \"72318d44bd584791b659abfbfc6bee38\",\n        \"premises\": \"9749\",\n        \"description\": \"DO NOT MODIFY - Merchant Acme 3 shipments prepaid condition\",\n        \"incentives\": [\n          {\n            \"object\": 2,\n            \"field\": 1,\n            \"type\": \"discount_percent\",\n            \"value\": \"95.00\",\n            \"threshold_field\": null,\n            \"threshold_value\": null,\n            \"name\": \"DO NOT MODIFY - Merchant Acme 3 shipments prepaid discount\",\n            \"public_id\": \"94788a42496246c0a7181954df86fa4a\",\n            \"polymorphic_type\": \"Discount\"\n          }\n        ]\n      },\n      {\n        \"public_id\": \"844444355bd8423f9578dacabd58ffe1\",\n        \"premises\": \"9751\",\n        \"description\": \"DO NOT MODIFY - Merchant Acme 4 shipments prepaid condition\",\n        \"incentives\": [\n          {\n            \"object\": 2,\n            \"field\": 1,\n            \"type\": \"discount_percent\",\n            \"value\": \"97.00\",\n            \"threshold_field\": null,\n            \"threshold_value\": null,\n            \"name\": \"DO NOT MODIFY - Merchant Acme 4 shipments prepaid discount\",\n            \"public_id\": \"f93bc326c42f4f14a7cdcb6e3611e03b\",\n            \"polymorphic_type\": \"Discount\"\n          }\n        ]\n      },\n      {\n        \"public_id\": \"0000db0df67049e4915e0148389e6348\",\n        \"premises\": \"73\",\n        \"description\": \"Threshold Condition\",\n        \"incentives\": [\n          {\n            \"object\": 1,\n            \"field\": 3,\n            \"type\": \"discount_percent\",\n            \"value\": \"50.00\",\n            \"threshold_field\": null,\n            \"threshold_value\": \"1.50\",\n            \"name\": \"Offer Profile recurring discount - 0\",\n            \"public_id\": \"f09c3b5db20d484086d68f967bd28af8\",\n            \"polymorphic_type\": \"Discount\"\n          }\n        ]\n      }\n    ],\n    \"incentives\": [\n      {\n        \"object\": 1,\n        \"field\": 3,\n        \"type\": \"discount_percent\",\n        \"value\": \"50.00\",\n        \"threshold_field\": null,\n        \"threshold_value\": \"1.50\",\n        \"name\": \"Offer Profile recurring discount - 0\",\n        \"public_id\": \"f09c3b5db20d484086d68f967bd28af8\",\n        \"polymorphic_type\": \"Discount\"\n      },\n      {\n        \"object\": 2,\n        \"field\": 1,\n        \"type\": \"discount_amount\",\n        \"value\": \"0.25\",\n        \"threshold_field\": null,\n        \"threshold_value\": \"2.25\",\n        \"name\": \"Offer Profile recurring discount - 1\",\n        \"public_id\": \"3e98f94285f94631aab4675f361f57d0\",\n        \"polymorphic_type\": \"Discount\"\n      },\n      {\n        \"object\": 2,\n        \"field\": 1,\n        \"type\": \"discount_percent\",\n        \"value\": \"95.00\",\n        \"threshold_field\": null,\n        \"threshold_value\": null,\n        \"name\": \"DO NOT MODIFY - Merchant Acme 3 shipments prepaid discount\",\n        \"public_id\": \"94788a42496246c0a7181954df86fa4a\",\n        \"polymorphic_type\": \"Discount\"\n      },\n      {\n        \"object\": 2,\n        \"field\": 1,\n        \"type\": \"discount_percent\",\n        \"value\": \"97.00\",\n        \"threshold_field\": null,\n        \"threshold_value\": null,\n        \"name\": \"DO NOT MODIFY - Merchant Acme 4 shipments prepaid discount\",\n        \"public_id\": \"f93bc326c42f4f14a7cdcb6e3611e03b\",\n        \"polymorphic_type\": \"Discount\"\n      },\n      {\n        \"object\": 1,\n        \"field\": 3,\n        \"type\": \"discount_amount\",\n        \"value\": \"10.00\",\n        \"threshold_field\": null,\n        \"threshold_value\": null,\n        \"name\": \"$10 Off Discoun\",\n        \"public_id\": \"6a2ba764b74a487285305a91242d83a0\",\n        \"polymorphic_type\": \"Discount\"\n      }\n    ],\n    \"standard_flex_incentives\": []\n  },\n  \"offers\": [\n    {\n      \"public_id\": \"e9073792d43411ef998a626c4261b4a9\",\n      \"name\": \"Standard Offer\",\n      \"offer_type\": 1,\n      \"weight\": 100,\n      \"live\": true,\n      \"module_view\": 1\n    }\n  ],\n  \"premises\": [\n    {\n      \"id\": 73,\n      \"public_id\": \"8a61f834ccb94cca935421d7640def29\",\n      \"slug\": \"9b3e304bb03f410fa9d8a86f00d95fa5\",\n      \"premise_type\": \"Current item is of replenishment type\",\n      \"operand\": \"eq\",\n      \"value\": \"\"\n    },\n    {\n      \"id\": 9748,\n      \"public_id\": \"51621bc540fc4bd0b419a51a2e45b579\",\n      \"slug\": \"a788764df77a4890b9c24b119c15150b\",\n      \"premise_type\": \"Number of orders per billing for a prepaid subscription cycle\",\n      \"operand\": \"eq\",\n      \"value\": \"3\"\n    },\n    {\n      \"id\": 9749,\n      \"public_id\": \"1564d568682d4565a9b32befda8dfb55\",\n      \"slug\": \"c23fa72af1a34085bb025cec6381711e\",\n      \"premise_type\": \"Number of orders per billing for a prepaid subscription cycle\",\n      \"operand\": \"eq\",\n      \"value\": \"3\"\n    },\n    {\n      \"id\": 9750,\n      \"public_id\": \"d9cb7b5fcd664aa6a5ec247d779dedf2\",\n      \"slug\": \"b33c3a774bb54542a1cfdeda66f2aa55\",\n      \"premise_type\": \"Number of orders per billing for a prepaid subscription cycle\",\n      \"operand\": \"eq\",\n      \"value\": \"4\"\n    },\n    {\n      \"id\": 9751,\n      \"public_id\": \"ed82ea28b6a04a6391df33d8abcfe52a\",\n      \"slug\": \"d6b9661b7b554854b4d977eb47272145\",\n      \"premise_type\": \"Number of orders per billing for a prepaid subscription cycle\",\n      \"operand\": \"eq\",\n      \"value\": \"4\"\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java Legacy Offer Profile
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://restapi.ordergroove.com/offer_profiles/load/")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"public_id\": \"e8f7a980d43411efae9feee7aa8f6f94\",\n  \"name\": \"Offer Profile 1\",\n  \"weight\": 100,\n  \"live\": true,\n  \"initial_coupon\": {\n    \"public_id\": \"03d1becf82324562929af698255534a2\",\n    \"name\": \"Offer Profile 1 - initial coupon\",\n    \"code\": \"rc3_ioi_coupon\",\n    \"conditions\": [\n      {\n        \"public_id\": \"0afbe168bc1c4bc28f380b9f784e9ff0\",\n        \"premises\": \"9748\",\n        \"description\": \"DO NOT MODIFY - Merchant Acme 3 shipments prepaid condition\",\n        \"incentives\": [\n          {\n            \"object\": 2,\n            \"field\": 1,\n            \"type\": \"discount_percent\",\n            \"value\": \"90.00\",\n            \"threshold_field\": null,\n            \"threshold_value\": null,\n            \"name\": \"DO NOT MODIFY - Merchant Acme 3 shipments prepaid discount\",\n            \"public_id\": \"a9989cd984fb4d3f8e20db83c4374929\",\n            \"polymorphic_type\": \"Discount\"\n          }\n        ]\n      },\n      {\n        \"public_id\": \"412432c0f6244e1ea30e4f062587fabf\",\n        \"premises\": \"9750\",\n        \"description\": \"DO NOT MODIFY - Merchant Acme 4 shipments prepaid condition\",\n        \"incentives\": [\n          {\n            \"object\": 2,\n            \"field\": 1,\n            \"type\": \"discount_percent\",\n            \"value\": \"95.00\",\n            \"threshold_field\": null,\n            \"threshold_value\": null,\n            \"name\": \"DO NOT MODIFY - Merchant Acme 4 shipments prepaid discount\",\n            \"public_id\": \"78770aa2780145ce8cf7f9dd21fb1b47\",\n            \"polymorphic_type\": \"Discount\"\n          }\n        ]\n      }\n    ],\n    \"incentives\": [\n      {\n        \"object\": 2,\n        \"field\": 1,\n        \"type\": \"discount_percent\",\n        \"value\": \"65.00\",\n        \"threshold_field\": null,\n        \"threshold_value\": null,\n        \"name\": \"Offer Profile 1 initial discount\",\n        \"public_id\": \"210df43d700042ed9cb9f3a976329d0c\",\n        \"polymorphic_type\": \"Discount\"\n      },\n      {\n        \"object\": 2,\n        \"field\": 1,\n        \"type\": \"discount_percent\",\n        \"value\": \"90.00\",\n        \"threshold_field\": null,\n        \"threshold_value\": null,\n        \"name\": \"DO NOT MODIFY - Merchant Acme 3 shipments prepaid discount\",\n        \"public_id\": \"a9989cd984fb4d3f8e20db83c4374929\",\n        \"polymorphic_type\": \"Discount\"\n      },\n      {\n        \"object\": 2,\n        \"field\": 1,\n        \"type\": \"discount_percent\",\n        \"value\": \"95.00\",\n        \"threshold_field\": null,\n        \"threshold_value\": null,\n        \"name\": \"DO NOT MODIFY - Merchant Acme 4 shipments prepaid discount\",\n        \"public_id\": \"78770aa2780145ce8cf7f9dd21fb1b47\",\n        \"polymorphic_type\": \"Discount\"\n      }\n    ],\n    \"standard_flex_incentives\": []\n  },\n  \"recurring_coupon\": {\n    \"public_id\": \"e324d31f9a0443998a4e0a46d93053cc\",\n    \"name\": \"Offer Profile recurring coupon\",\n    \"code\": \"rc3_recurring_coupon\",\n    \"conditions\": [\n      {\n        \"public_id\": \"72318d44bd584791b659abfbfc6bee38\",\n        \"premises\": \"9749\",\n        \"description\": \"DO NOT MODIFY - Merchant Acme 3 shipments prepaid condition\",\n        \"incentives\": [\n          {\n            \"object\": 2,\n            \"field\": 1,\n            \"type\": \"discount_percent\",\n            \"value\": \"95.00\",\n            \"threshold_field\": null,\n            \"threshold_value\": null,\n            \"name\": \"DO NOT MODIFY - Merchant Acme 3 shipments prepaid discount\",\n            \"public_id\": \"94788a42496246c0a7181954df86fa4a\",\n            \"polymorphic_type\": \"Discount\"\n          }\n        ]\n      },\n      {\n        \"public_id\": \"844444355bd8423f9578dacabd58ffe1\",\n        \"premises\": \"9751\",\n        \"description\": \"DO NOT MODIFY - Merchant Acme 4 shipments prepaid condition\",\n        \"incentives\": [\n          {\n            \"object\": 2,\n            \"field\": 1,\n            \"type\": \"discount_percent\",\n            \"value\": \"97.00\",\n            \"threshold_field\": null,\n            \"threshold_value\": null,\n            \"name\": \"DO NOT MODIFY - Merchant Acme 4 shipments prepaid discount\",\n            \"public_id\": \"f93bc326c42f4f14a7cdcb6e3611e03b\",\n            \"polymorphic_type\": \"Discount\"\n          }\n        ]\n      },\n      {\n        \"public_id\": \"0000db0df67049e4915e0148389e6348\",\n        \"premises\": \"73\",\n        \"description\": \"Threshold Condition\",\n        \"incentives\": [\n          {\n            \"object\": 1,\n            \"field\": 3,\n            \"type\": \"discount_percent\",\n            \"value\": \"50.00\",\n            \"threshold_field\": null,\n            \"threshold_value\": \"1.50\",\n            \"name\": \"Offer Profile recurring discount - 0\",\n            \"public_id\": \"f09c3b5db20d484086d68f967bd28af8\",\n            \"polymorphic_type\": \"Discount\"\n          }\n        ]\n      }\n    ],\n    \"incentives\": [\n      {\n        \"object\": 1,\n        \"field\": 3,\n        \"type\": \"discount_percent\",\n        \"value\": \"50.00\",\n        \"threshold_field\": null,\n        \"threshold_value\": \"1.50\",\n        \"name\": \"Offer Profile recurring discount - 0\",\n        \"public_id\": \"f09c3b5db20d484086d68f967bd28af8\",\n        \"polymorphic_type\": \"Discount\"\n      },\n      {\n        \"object\": 2,\n        \"field\": 1,\n        \"type\": \"discount_amount\",\n        \"value\": \"0.25\",\n        \"threshold_field\": null,\n        \"threshold_value\": \"2.25\",\n        \"name\": \"Offer Profile recurring discount - 1\",\n        \"public_id\": \"3e98f94285f94631aab4675f361f57d0\",\n        \"polymorphic_type\": \"Discount\"\n      },\n      {\n        \"object\": 2,\n        \"field\": 1,\n        \"type\": \"discount_percent\",\n        \"value\": \"95.00\",\n        \"threshold_field\": null,\n        \"threshold_value\": null,\n        \"name\": \"DO NOT MODIFY - Merchant Acme 3 shipments prepaid discount\",\n        \"public_id\": \"94788a42496246c0a7181954df86fa4a\",\n        \"polymorphic_type\": \"Discount\"\n      },\n      {\n        \"object\": 2,\n        \"field\": 1,\n        \"type\": \"discount_percent\",\n        \"value\": \"97.00\",\n        \"threshold_field\": null,\n        \"threshold_value\": null,\n        \"name\": \"DO NOT MODIFY - Merchant Acme 4 shipments prepaid discount\",\n        \"public_id\": \"f93bc326c42f4f14a7cdcb6e3611e03b\",\n        \"polymorphic_type\": \"Discount\"\n      },\n      {\n        \"object\": 1,\n        \"field\": 3,\n        \"type\": \"discount_amount\",\n        \"value\": \"10.00\",\n        \"threshold_field\": null,\n        \"threshold_value\": null,\n        \"name\": \"$10 Off Discoun\",\n        \"public_id\": \"6a2ba764b74a487285305a91242d83a0\",\n        \"polymorphic_type\": \"Discount\"\n      }\n    ],\n    \"standard_flex_incentives\": []\n  },\n  \"offers\": [\n    {\n      \"public_id\": \"e9073792d43411ef998a626c4261b4a9\",\n      \"name\": \"Standard Offer\",\n      \"offer_type\": 1,\n      \"weight\": 100,\n      \"live\": true,\n      \"module_view\": 1\n    }\n  ],\n  \"premises\": [\n    {\n      \"id\": 73,\n      \"public_id\": \"8a61f834ccb94cca935421d7640def29\",\n      \"slug\": \"9b3e304bb03f410fa9d8a86f00d95fa5\",\n      \"premise_type\": \"Current item is of replenishment type\",\n      \"operand\": \"eq\",\n      \"value\": \"\"\n    },\n    {\n      \"id\": 9748,\n      \"public_id\": \"51621bc540fc4bd0b419a51a2e45b579\",\n      \"slug\": \"a788764df77a4890b9c24b119c15150b\",\n      \"premise_type\": \"Number of orders per billing for a prepaid subscription cycle\",\n      \"operand\": \"eq\",\n      \"value\": \"3\"\n    },\n    {\n      \"id\": 9749,\n      \"public_id\": \"1564d568682d4565a9b32befda8dfb55\",\n      \"slug\": \"c23fa72af1a34085bb025cec6381711e\",\n      \"premise_type\": \"Number of orders per billing for a prepaid subscription cycle\",\n      \"operand\": \"eq\",\n      \"value\": \"3\"\n    },\n    {\n      \"id\": 9750,\n      \"public_id\": \"d9cb7b5fcd664aa6a5ec247d779dedf2\",\n      \"slug\": \"b33c3a774bb54542a1cfdeda66f2aa55\",\n      \"premise_type\": \"Number of orders per billing for a prepaid subscription cycle\",\n      \"operand\": \"eq\",\n      \"value\": \"4\"\n    },\n    {\n      \"id\": 9751,\n      \"public_id\": \"ed82ea28b6a04a6391df33d8abcfe52a\",\n      \"slug\": \"d6b9661b7b554854b4d977eb47272145\",\n      \"premise_type\": \"Number of orders per billing for a prepaid subscription cycle\",\n      \"operand\": \"eq\",\n      \"value\": \"4\"\n    }\n  ]\n}")
  .asString();
```

```php Legacy Offer Profile
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://restapi.ordergroove.com/offer_profiles/load/', [
  'body' => '{
  "public_id": "e8f7a980d43411efae9feee7aa8f6f94",
  "name": "Offer Profile 1",
  "weight": 100,
  "live": true,
  "initial_coupon": {
    "public_id": "03d1becf82324562929af698255534a2",
    "name": "Offer Profile 1 - initial coupon",
    "code": "rc3_ioi_coupon",
    "conditions": [
      {
        "public_id": "0afbe168bc1c4bc28f380b9f784e9ff0",
        "premises": "9748",
        "description": "DO NOT MODIFY - Merchant Acme 3 shipments prepaid condition",
        "incentives": [
          {
            "object": 2,
            "field": 1,
            "type": "discount_percent",
            "value": "90.00",
            "threshold_field": null,
            "threshold_value": null,
            "name": "DO NOT MODIFY - Merchant Acme 3 shipments prepaid discount",
            "public_id": "a9989cd984fb4d3f8e20db83c4374929",
            "polymorphic_type": "Discount"
          }
        ]
      },
      {
        "public_id": "412432c0f6244e1ea30e4f062587fabf",
        "premises": "9750",
        "description": "DO NOT MODIFY - Merchant Acme 4 shipments prepaid condition",
        "incentives": [
          {
            "object": 2,
            "field": 1,
            "type": "discount_percent",
            "value": "95.00",
            "threshold_field": null,
            "threshold_value": null,
            "name": "DO NOT MODIFY - Merchant Acme 4 shipments prepaid discount",
            "public_id": "78770aa2780145ce8cf7f9dd21fb1b47",
            "polymorphic_type": "Discount"
          }
        ]
      }
    ],
    "incentives": [
      {
        "object": 2,
        "field": 1,
        "type": "discount_percent",
        "value": "65.00",
        "threshold_field": null,
        "threshold_value": null,
        "name": "Offer Profile 1 initial discount",
        "public_id": "210df43d700042ed9cb9f3a976329d0c",
        "polymorphic_type": "Discount"
      },
      {
        "object": 2,
        "field": 1,
        "type": "discount_percent",
        "value": "90.00",
        "threshold_field": null,
        "threshold_value": null,
        "name": "DO NOT MODIFY - Merchant Acme 3 shipments prepaid discount",
        "public_id": "a9989cd984fb4d3f8e20db83c4374929",
        "polymorphic_type": "Discount"
      },
      {
        "object": 2,
        "field": 1,
        "type": "discount_percent",
        "value": "95.00",
        "threshold_field": null,
        "threshold_value": null,
        "name": "DO NOT MODIFY - Merchant Acme 4 shipments prepaid discount",
        "public_id": "78770aa2780145ce8cf7f9dd21fb1b47",
        "polymorphic_type": "Discount"
      }
    ],
    "standard_flex_incentives": []
  },
  "recurring_coupon": {
    "public_id": "e324d31f9a0443998a4e0a46d93053cc",
    "name": "Offer Profile recurring coupon",
    "code": "rc3_recurring_coupon",
    "conditions": [
      {
        "public_id": "72318d44bd584791b659abfbfc6bee38",
        "premises": "9749",
        "description": "DO NOT MODIFY - Merchant Acme 3 shipments prepaid condition",
        "incentives": [
          {
            "object": 2,
            "field": 1,
            "type": "discount_percent",
            "value": "95.00",
            "threshold_field": null,
            "threshold_value": null,
            "name": "DO NOT MODIFY - Merchant Acme 3 shipments prepaid discount",
            "public_id": "94788a42496246c0a7181954df86fa4a",
            "polymorphic_type": "Discount"
          }
        ]
      },
      {
        "public_id": "844444355bd8423f9578dacabd58ffe1",
        "premises": "9751",
        "description": "DO NOT MODIFY - Merchant Acme 4 shipments prepaid condition",
        "incentives": [
          {
            "object": 2,
            "field": 1,
            "type": "discount_percent",
            "value": "97.00",
            "threshold_field": null,
            "threshold_value": null,
            "name": "DO NOT MODIFY - Merchant Acme 4 shipments prepaid discount",
            "public_id": "f93bc326c42f4f14a7cdcb6e3611e03b",
            "polymorphic_type": "Discount"
          }
        ]
      },
      {
        "public_id": "0000db0df67049e4915e0148389e6348",
        "premises": "73",
        "description": "Threshold Condition",
        "incentives": [
          {
            "object": 1,
            "field": 3,
            "type": "discount_percent",
            "value": "50.00",
            "threshold_field": null,
            "threshold_value": "1.50",
            "name": "Offer Profile recurring discount - 0",
            "public_id": "f09c3b5db20d484086d68f967bd28af8",
            "polymorphic_type": "Discount"
          }
        ]
      }
    ],
    "incentives": [
      {
        "object": 1,
        "field": 3,
        "type": "discount_percent",
        "value": "50.00",
        "threshold_field": null,
        "threshold_value": "1.50",
        "name": "Offer Profile recurring discount - 0",
        "public_id": "f09c3b5db20d484086d68f967bd28af8",
        "polymorphic_type": "Discount"
      },
      {
        "object": 2,
        "field": 1,
        "type": "discount_amount",
        "value": "0.25",
        "threshold_field": null,
        "threshold_value": "2.25",
        "name": "Offer Profile recurring discount - 1",
        "public_id": "3e98f94285f94631aab4675f361f57d0",
        "polymorphic_type": "Discount"
      },
      {
        "object": 2,
        "field": 1,
        "type": "discount_percent",
        "value": "95.00",
        "threshold_field": null,
        "threshold_value": null,
        "name": "DO NOT MODIFY - Merchant Acme 3 shipments prepaid discount",
        "public_id": "94788a42496246c0a7181954df86fa4a",
        "polymorphic_type": "Discount"
      },
      {
        "object": 2,
        "field": 1,
        "type": "discount_percent",
        "value": "97.00",
        "threshold_field": null,
        "threshold_value": null,
        "name": "DO NOT MODIFY - Merchant Acme 4 shipments prepaid discount",
        "public_id": "f93bc326c42f4f14a7cdcb6e3611e03b",
        "polymorphic_type": "Discount"
      },
      {
        "object": 1,
        "field": 3,
        "type": "discount_amount",
        "value": "10.00",
        "threshold_field": null,
        "threshold_value": null,
        "name": "$10 Off Discoun",
        "public_id": "6a2ba764b74a487285305a91242d83a0",
        "polymorphic_type": "Discount"
      }
    ],
    "standard_flex_incentives": []
  },
  "offers": [
    {
      "public_id": "e9073792d43411ef998a626c4261b4a9",
      "name": "Standard Offer",
      "offer_type": 1,
      "weight": 100,
      "live": true,
      "module_view": 1
    }
  ],
  "premises": [
    {
      "id": 73,
      "public_id": "8a61f834ccb94cca935421d7640def29",
      "slug": "9b3e304bb03f410fa9d8a86f00d95fa5",
      "premise_type": "Current item is of replenishment type",
      "operand": "eq",
      "value": ""
    },
    {
      "id": 9748,
      "public_id": "51621bc540fc4bd0b419a51a2e45b579",
      "slug": "a788764df77a4890b9c24b119c15150b",
      "premise_type": "Number of orders per billing for a prepaid subscription cycle",
      "operand": "eq",
      "value": "3"
    },
    {
      "id": 9749,
      "public_id": "1564d568682d4565a9b32befda8dfb55",
      "slug": "c23fa72af1a34085bb025cec6381711e",
      "premise_type": "Number of orders per billing for a prepaid subscription cycle",
      "operand": "eq",
      "value": "3"
    },
    {
      "id": 9750,
      "public_id": "d9cb7b5fcd664aa6a5ec247d779dedf2",
      "slug": "b33c3a774bb54542a1cfdeda66f2aa55",
      "premise_type": "Number of orders per billing for a prepaid subscription cycle",
      "operand": "eq",
      "value": "4"
    },
    {
      "id": 9751,
      "public_id": "ed82ea28b6a04a6391df33d8abcfe52a",
      "slug": "d6b9661b7b554854b4d977eb47272145",
      "premise_type": "Number of orders per billing for a prepaid subscription cycle",
      "operand": "eq",
      "value": "4"
    }
  ]
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Legacy Offer Profile
using RestSharp;

var client = new RestClient("https://restapi.ordergroove.com/offer_profiles/load/");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"public_id\": \"e8f7a980d43411efae9feee7aa8f6f94\",\n  \"name\": \"Offer Profile 1\",\n  \"weight\": 100,\n  \"live\": true,\n  \"initial_coupon\": {\n    \"public_id\": \"03d1becf82324562929af698255534a2\",\n    \"name\": \"Offer Profile 1 - initial coupon\",\n    \"code\": \"rc3_ioi_coupon\",\n    \"conditions\": [\n      {\n        \"public_id\": \"0afbe168bc1c4bc28f380b9f784e9ff0\",\n        \"premises\": \"9748\",\n        \"description\": \"DO NOT MODIFY - Merchant Acme 3 shipments prepaid condition\",\n        \"incentives\": [\n          {\n            \"object\": 2,\n            \"field\": 1,\n            \"type\": \"discount_percent\",\n            \"value\": \"90.00\",\n            \"threshold_field\": null,\n            \"threshold_value\": null,\n            \"name\": \"DO NOT MODIFY - Merchant Acme 3 shipments prepaid discount\",\n            \"public_id\": \"a9989cd984fb4d3f8e20db83c4374929\",\n            \"polymorphic_type\": \"Discount\"\n          }\n        ]\n      },\n      {\n        \"public_id\": \"412432c0f6244e1ea30e4f062587fabf\",\n        \"premises\": \"9750\",\n        \"description\": \"DO NOT MODIFY - Merchant Acme 4 shipments prepaid condition\",\n        \"incentives\": [\n          {\n            \"object\": 2,\n            \"field\": 1,\n            \"type\": \"discount_percent\",\n            \"value\": \"95.00\",\n            \"threshold_field\": null,\n            \"threshold_value\": null,\n            \"name\": \"DO NOT MODIFY - Merchant Acme 4 shipments prepaid discount\",\n            \"public_id\": \"78770aa2780145ce8cf7f9dd21fb1b47\",\n            \"polymorphic_type\": \"Discount\"\n          }\n        ]\n      }\n    ],\n    \"incentives\": [\n      {\n        \"object\": 2,\n        \"field\": 1,\n        \"type\": \"discount_percent\",\n        \"value\": \"65.00\",\n        \"threshold_field\": null,\n        \"threshold_value\": null,\n        \"name\": \"Offer Profile 1 initial discount\",\n        \"public_id\": \"210df43d700042ed9cb9f3a976329d0c\",\n        \"polymorphic_type\": \"Discount\"\n      },\n      {\n        \"object\": 2,\n        \"field\": 1,\n        \"type\": \"discount_percent\",\n        \"value\": \"90.00\",\n        \"threshold_field\": null,\n        \"threshold_value\": null,\n        \"name\": \"DO NOT MODIFY - Merchant Acme 3 shipments prepaid discount\",\n        \"public_id\": \"a9989cd984fb4d3f8e20db83c4374929\",\n        \"polymorphic_type\": \"Discount\"\n      },\n      {\n        \"object\": 2,\n        \"field\": 1,\n        \"type\": \"discount_percent\",\n        \"value\": \"95.00\",\n        \"threshold_field\": null,\n        \"threshold_value\": null,\n        \"name\": \"DO NOT MODIFY - Merchant Acme 4 shipments prepaid discount\",\n        \"public_id\": \"78770aa2780145ce8cf7f9dd21fb1b47\",\n        \"polymorphic_type\": \"Discount\"\n      }\n    ],\n    \"standard_flex_incentives\": []\n  },\n  \"recurring_coupon\": {\n    \"public_id\": \"e324d31f9a0443998a4e0a46d93053cc\",\n    \"name\": \"Offer Profile recurring coupon\",\n    \"code\": \"rc3_recurring_coupon\",\n    \"conditions\": [\n      {\n        \"public_id\": \"72318d44bd584791b659abfbfc6bee38\",\n        \"premises\": \"9749\",\n        \"description\": \"DO NOT MODIFY - Merchant Acme 3 shipments prepaid condition\",\n        \"incentives\": [\n          {\n            \"object\": 2,\n            \"field\": 1,\n            \"type\": \"discount_percent\",\n            \"value\": \"95.00\",\n            \"threshold_field\": null,\n            \"threshold_value\": null,\n            \"name\": \"DO NOT MODIFY - Merchant Acme 3 shipments prepaid discount\",\n            \"public_id\": \"94788a42496246c0a7181954df86fa4a\",\n            \"polymorphic_type\": \"Discount\"\n          }\n        ]\n      },\n      {\n        \"public_id\": \"844444355bd8423f9578dacabd58ffe1\",\n        \"premises\": \"9751\",\n        \"description\": \"DO NOT MODIFY - Merchant Acme 4 shipments prepaid condition\",\n        \"incentives\": [\n          {\n            \"object\": 2,\n            \"field\": 1,\n            \"type\": \"discount_percent\",\n            \"value\": \"97.00\",\n            \"threshold_field\": null,\n            \"threshold_value\": null,\n            \"name\": \"DO NOT MODIFY - Merchant Acme 4 shipments prepaid discount\",\n            \"public_id\": \"f93bc326c42f4f14a7cdcb6e3611e03b\",\n            \"polymorphic_type\": \"Discount\"\n          }\n        ]\n      },\n      {\n        \"public_id\": \"0000db0df67049e4915e0148389e6348\",\n        \"premises\": \"73\",\n        \"description\": \"Threshold Condition\",\n        \"incentives\": [\n          {\n            \"object\": 1,\n            \"field\": 3,\n            \"type\": \"discount_percent\",\n            \"value\": \"50.00\",\n            \"threshold_field\": null,\n            \"threshold_value\": \"1.50\",\n            \"name\": \"Offer Profile recurring discount - 0\",\n            \"public_id\": \"f09c3b5db20d484086d68f967bd28af8\",\n            \"polymorphic_type\": \"Discount\"\n          }\n        ]\n      }\n    ],\n    \"incentives\": [\n      {\n        \"object\": 1,\n        \"field\": 3,\n        \"type\": \"discount_percent\",\n        \"value\": \"50.00\",\n        \"threshold_field\": null,\n        \"threshold_value\": \"1.50\",\n        \"name\": \"Offer Profile recurring discount - 0\",\n        \"public_id\": \"f09c3b5db20d484086d68f967bd28af8\",\n        \"polymorphic_type\": \"Discount\"\n      },\n      {\n        \"object\": 2,\n        \"field\": 1,\n        \"type\": \"discount_amount\",\n        \"value\": \"0.25\",\n        \"threshold_field\": null,\n        \"threshold_value\": \"2.25\",\n        \"name\": \"Offer Profile recurring discount - 1\",\n        \"public_id\": \"3e98f94285f94631aab4675f361f57d0\",\n        \"polymorphic_type\": \"Discount\"\n      },\n      {\n        \"object\": 2,\n        \"field\": 1,\n        \"type\": \"discount_percent\",\n        \"value\": \"95.00\",\n        \"threshold_field\": null,\n        \"threshold_value\": null,\n        \"name\": \"DO NOT MODIFY - Merchant Acme 3 shipments prepaid discount\",\n        \"public_id\": \"94788a42496246c0a7181954df86fa4a\",\n        \"polymorphic_type\": \"Discount\"\n      },\n      {\n        \"object\": 2,\n        \"field\": 1,\n        \"type\": \"discount_percent\",\n        \"value\": \"97.00\",\n        \"threshold_field\": null,\n        \"threshold_value\": null,\n        \"name\": \"DO NOT MODIFY - Merchant Acme 4 shipments prepaid discount\",\n        \"public_id\": \"f93bc326c42f4f14a7cdcb6e3611e03b\",\n        \"polymorphic_type\": \"Discount\"\n      },\n      {\n        \"object\": 1,\n        \"field\": 3,\n        \"type\": \"discount_amount\",\n        \"value\": \"10.00\",\n        \"threshold_field\": null,\n        \"threshold_value\": null,\n        \"name\": \"$10 Off Discoun\",\n        \"public_id\": \"6a2ba764b74a487285305a91242d83a0\",\n        \"polymorphic_type\": \"Discount\"\n      }\n    ],\n    \"standard_flex_incentives\": []\n  },\n  \"offers\": [\n    {\n      \"public_id\": \"e9073792d43411ef998a626c4261b4a9\",\n      \"name\": \"Standard Offer\",\n      \"offer_type\": 1,\n      \"weight\": 100,\n      \"live\": true,\n      \"module_view\": 1\n    }\n  ],\n  \"premises\": [\n    {\n      \"id\": 73,\n      \"public_id\": \"8a61f834ccb94cca935421d7640def29\",\n      \"slug\": \"9b3e304bb03f410fa9d8a86f00d95fa5\",\n      \"premise_type\": \"Current item is of replenishment type\",\n      \"operand\": \"eq\",\n      \"value\": \"\"\n    },\n    {\n      \"id\": 9748,\n      \"public_id\": \"51621bc540fc4bd0b419a51a2e45b579\",\n      \"slug\": \"a788764df77a4890b9c24b119c15150b\",\n      \"premise_type\": \"Number of orders per billing for a prepaid subscription cycle\",\n      \"operand\": \"eq\",\n      \"value\": \"3\"\n    },\n    {\n      \"id\": 9749,\n      \"public_id\": \"1564d568682d4565a9b32befda8dfb55\",\n      \"slug\": \"c23fa72af1a34085bb025cec6381711e\",\n      \"premise_type\": \"Number of orders per billing for a prepaid subscription cycle\",\n      \"operand\": \"eq\",\n      \"value\": \"3\"\n    },\n    {\n      \"id\": 9750,\n      \"public_id\": \"d9cb7b5fcd664aa6a5ec247d779dedf2\",\n      \"slug\": \"b33c3a774bb54542a1cfdeda66f2aa55\",\n      \"premise_type\": \"Number of orders per billing for a prepaid subscription cycle\",\n      \"operand\": \"eq\",\n      \"value\": \"4\"\n    },\n    {\n      \"id\": 9751,\n      \"public_id\": \"ed82ea28b6a04a6391df33d8abcfe52a\",\n      \"slug\": \"d6b9661b7b554854b4d977eb47272145\",\n      \"premise_type\": \"Number of orders per billing for a prepaid subscription cycle\",\n      \"operand\": \"eq\",\n      \"value\": \"4\"\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Legacy Offer Profile
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "public_id": "e8f7a980d43411efae9feee7aa8f6f94",
  "name": "Offer Profile 1",
  "weight": 100,
  "live": true,
  "initial_coupon": [
    "public_id": "03d1becf82324562929af698255534a2",
    "name": "Offer Profile 1 - initial coupon",
    "code": "rc3_ioi_coupon",
    "conditions": [
      [
        "public_id": "0afbe168bc1c4bc28f380b9f784e9ff0",
        "premises": "9748",
        "description": "DO NOT MODIFY - Merchant Acme 3 shipments prepaid condition",
        "incentives": [
          [
            "object": 2,
            "field": 1,
            "type": "discount_percent",
            "value": "90.00",
            "threshold_field": ,
            "threshold_value": ,
            "name": "DO NOT MODIFY - Merchant Acme 3 shipments prepaid discount",
            "public_id": "a9989cd984fb4d3f8e20db83c4374929",
            "polymorphic_type": "Discount"
          ]
        ]
      ],
      [
        "public_id": "412432c0f6244e1ea30e4f062587fabf",
        "premises": "9750",
        "description": "DO NOT MODIFY - Merchant Acme 4 shipments prepaid condition",
        "incentives": [
          [
            "object": 2,
            "field": 1,
            "type": "discount_percent",
            "value": "95.00",
            "threshold_field": ,
            "threshold_value": ,
            "name": "DO NOT MODIFY - Merchant Acme 4 shipments prepaid discount",
            "public_id": "78770aa2780145ce8cf7f9dd21fb1b47",
            "polymorphic_type": "Discount"
          ]
        ]
      ]
    ],
    "incentives": [
      [
        "object": 2,
        "field": 1,
        "type": "discount_percent",
        "value": "65.00",
        "threshold_field": ,
        "threshold_value": ,
        "name": "Offer Profile 1 initial discount",
        "public_id": "210df43d700042ed9cb9f3a976329d0c",
        "polymorphic_type": "Discount"
      ],
      [
        "object": 2,
        "field": 1,
        "type": "discount_percent",
        "value": "90.00",
        "threshold_field": ,
        "threshold_value": ,
        "name": "DO NOT MODIFY - Merchant Acme 3 shipments prepaid discount",
        "public_id": "a9989cd984fb4d3f8e20db83c4374929",
        "polymorphic_type": "Discount"
      ],
      [
        "object": 2,
        "field": 1,
        "type": "discount_percent",
        "value": "95.00",
        "threshold_field": ,
        "threshold_value": ,
        "name": "DO NOT MODIFY - Merchant Acme 4 shipments prepaid discount",
        "public_id": "78770aa2780145ce8cf7f9dd21fb1b47",
        "polymorphic_type": "Discount"
      ]
    ],
    "standard_flex_incentives": []
  ],
  "recurring_coupon": [
    "public_id": "e324d31f9a0443998a4e0a46d93053cc",
    "name": "Offer Profile recurring coupon",
    "code": "rc3_recurring_coupon",
    "conditions": [
      [
        "public_id": "72318d44bd584791b659abfbfc6bee38",
        "premises": "9749",
        "description": "DO NOT MODIFY - Merchant Acme 3 shipments prepaid condition",
        "incentives": [
          [
            "object": 2,
            "field": 1,
            "type": "discount_percent",
            "value": "95.00",
            "threshold_field": ,
            "threshold_value": ,
            "name": "DO NOT MODIFY - Merchant Acme 3 shipments prepaid discount",
            "public_id": "94788a42496246c0a7181954df86fa4a",
            "polymorphic_type": "Discount"
          ]
        ]
      ],
      [
        "public_id": "844444355bd8423f9578dacabd58ffe1",
        "premises": "9751",
        "description": "DO NOT MODIFY - Merchant Acme 4 shipments prepaid condition",
        "incentives": [
          [
            "object": 2,
            "field": 1,
            "type": "discount_percent",
            "value": "97.00",
            "threshold_field": ,
            "threshold_value": ,
            "name": "DO NOT MODIFY - Merchant Acme 4 shipments prepaid discount",
            "public_id": "f93bc326c42f4f14a7cdcb6e3611e03b",
            "polymorphic_type": "Discount"
          ]
        ]
      ],
      [
        "public_id": "0000db0df67049e4915e0148389e6348",
        "premises": "73",
        "description": "Threshold Condition",
        "incentives": [
          [
            "object": 1,
            "field": 3,
            "type": "discount_percent",
            "value": "50.00",
            "threshold_field": ,
            "threshold_value": "1.50",
            "name": "Offer Profile recurring discount - 0",
            "public_id": "f09c3b5db20d484086d68f967bd28af8",
            "polymorphic_type": "Discount"
          ]
        ]
      ]
    ],
    "incentives": [
      [
        "object": 1,
        "field": 3,
        "type": "discount_percent",
        "value": "50.00",
        "threshold_field": ,
        "threshold_value": "1.50",
        "name": "Offer Profile recurring discount - 0",
        "public_id": "f09c3b5db20d484086d68f967bd28af8",
        "polymorphic_type": "Discount"
      ],
      [
        "object": 2,
        "field": 1,
        "type": "discount_amount",
        "value": "0.25",
        "threshold_field": ,
        "threshold_value": "2.25",
        "name": "Offer Profile recurring discount - 1",
        "public_id": "3e98f94285f94631aab4675f361f57d0",
        "polymorphic_type": "Discount"
      ],
      [
        "object": 2,
        "field": 1,
        "type": "discount_percent",
        "value": "95.00",
        "threshold_field": ,
        "threshold_value": ,
        "name": "DO NOT MODIFY - Merchant Acme 3 shipments prepaid discount",
        "public_id": "94788a42496246c0a7181954df86fa4a",
        "polymorphic_type": "Discount"
      ],
      [
        "object": 2,
        "field": 1,
        "type": "discount_percent",
        "value": "97.00",
        "threshold_field": ,
        "threshold_value": ,
        "name": "DO NOT MODIFY - Merchant Acme 4 shipments prepaid discount",
        "public_id": "f93bc326c42f4f14a7cdcb6e3611e03b",
        "polymorphic_type": "Discount"
      ],
      [
        "object": 1,
        "field": 3,
        "type": "discount_amount",
        "value": "10.00",
        "threshold_field": ,
        "threshold_value": ,
        "name": "$10 Off Discoun",
        "public_id": "6a2ba764b74a487285305a91242d83a0",
        "polymorphic_type": "Discount"
      ]
    ],
    "standard_flex_incentives": []
  ],
  "offers": [
    [
      "public_id": "e9073792d43411ef998a626c4261b4a9",
      "name": "Standard Offer",
      "offer_type": 1,
      "weight": 100,
      "live": true,
      "module_view": 1
    ]
  ],
  "premises": [
    [
      "id": 73,
      "public_id": "8a61f834ccb94cca935421d7640def29",
      "slug": "9b3e304bb03f410fa9d8a86f00d95fa5",
      "premise_type": "Current item is of replenishment type",
      "operand": "eq",
      "value": ""
    ],
    [
      "id": 9748,
      "public_id": "51621bc540fc4bd0b419a51a2e45b579",
      "slug": "a788764df77a4890b9c24b119c15150b",
      "premise_type": "Number of orders per billing for a prepaid subscription cycle",
      "operand": "eq",
      "value": "3"
    ],
    [
      "id": 9749,
      "public_id": "1564d568682d4565a9b32befda8dfb55",
      "slug": "c23fa72af1a34085bb025cec6381711e",
      "premise_type": "Number of orders per billing for a prepaid subscription cycle",
      "operand": "eq",
      "value": "3"
    ],
    [
      "id": 9750,
      "public_id": "d9cb7b5fcd664aa6a5ec247d779dedf2",
      "slug": "b33c3a774bb54542a1cfdeda66f2aa55",
      "premise_type": "Number of orders per billing for a prepaid subscription cycle",
      "operand": "eq",
      "value": "4"
    ],
    [
      "id": 9751,
      "public_id": "ed82ea28b6a04a6391df33d8abcfe52a",
      "slug": "d6b9661b7b554854b4d977eb47272145",
      "premise_type": "Number of orders per billing for a prepaid subscription cycle",
      "operand": "eq",
      "value": "4"
    ]
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://restapi.ordergroove.com/offer_profiles/load/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Standardized Offer Profile w/ Multiple Incentives



**Request**

```json
{
  "public_id": "a4c20391b383454ba7a57646569e1aed",
  "name": "Jan 2026 Threshold Test",
  "weight": 100,
  "live": false,
  "initial_coupon": {
    "public_id": "fb8018c2a21c41a3b5d573ad12670f47",
    "name": "Jan 2026 Initial Coupon",
    "code": "rc3_ioi_coupon",
    "conditions": [],
    "incentives": [
      {
        "object": 2,
        "field": 1,
        "type": "discount_percent",
        "value": "0.00",
        "threshold_field": null,
        "threshold_value": null,
        "limit_value": null,
        "limit_policy": null,
        "name": "Jan 2026 Initial Coupon initial discount",
        "public_id": "c47ef85fve1945e0bbf3ab304e442b6e",
        "polymorphic_type": "Discount"
      }
    ],
    "standard_flex_incentives": [
      {
        "incentives": [
          {
            "incentive_type": "discount_percent",
            "incentive_value": "15.00",
            "incentive_target": "item",
            "threshold_field": null,
            "threshold_value": null
          }
        ],
        "criteria": {
          "node_type": "PREMISE",
          "standard": "PREPAID_ORDERS_PER_BILLING",
          "premise_value": 6
        },
        "public_id": "f75fffg16938487h91abd756b121aed4"
      },
      {
        "incentives": [
          {
            "incentive_type": "discount_percent",
            "incentive_value": "15.00",
            "incentive_target": "item",
            "threshold_field": null,
            "threshold_value": null
          }
        ],
        "criteria": {
          "node_type": "PREMISE",
          "standard": "PREPAID_ORDERS_PER_BILLING",
          "premise_value": 12
        },
        "public_id": "e964d27360d549f6a6967ca22a4174ca"
      }
    ]
  },
  "recurring_coupon": {
    "public_id": "927e05efa6fb2b9fa07f40c482db330d",
    "name": "Jan 2026 Recurring Coupon",
    "code": "rc3_recurring_coupon",
    "conditions": [],
    "incentives": [
      {
        "object": 2,
        "field": 1,
        "type": "discount_percent",
        "value": "10.00",
        "threshold_field": 1,
        "threshold_value": null,
        "limit_value": null,
        "limit_policy": null,
        "name": "Jan 2026 Recurring Coupon recurring discount - 0",
        "public_id": "08782af43c0b4916a5e7de906735d94f",
        "polymorphic_type": "Discount"
      }
    ],
    "standard_flex_incentives": [
      {
        "incentives": [
          {
            "incentive_type": "discount_percent",
            "incentive_value": "15.00",
            "incentive_target": "item",
            "threshold_field": null,
            "threshold_value": null
          }
        ],
        "criteria": {
          "node_type": "PREMISE",
          "standard": "PREPAID_ORDERS_PER_BILLING",
          "premise_value": 6
        },
        "public_id": "5dab3eeb6e7f4bc19f0a5447ebed3994"
      },
      {
        "incentives": [
          {
            "incentive_type": "discount_percent",
            "incentive_value": "15.00",
            "incentive_target": "item",
            "threshold_field": null,
            "threshold_value": null
          }
        ],
        "criteria": {
          "node_type": "PREMISE",
          "standard": "PREPAID_ORDERS_PER_BILLING",
          "premise_value": 12
        },
        "public_id": "33b14555deb24654ad68997a7b34256a"
      },
      {
        "incentives": [
          {
            "incentive_type": "discount_percent",
            "incentive_value": "15.00",
            "incentive_target": "item",
            "threshold_field": null,
            "threshold_value": null
          },
          {
            "incentive_type": "discount_percent",
            "incentive_value": "100.00",
            "incentive_target": "shipping",
            "threshold_field": null,
            "threshold_value": null
          }
        ],
        "criteria": {
          "node_type": "PREMISE",
          "standard": "N_LIVE_SUBSCRIPTIONS_FOR_SUBSCRIBER",
          "premise_value": 2,
          "premise_operand": "GREATER_THAN_OR_EQUAL"
        },
        "public_id": "5dab3eeb9n7f4bc19f4b5447ebed3994"
      },
      {
        "incentives": [
          {
            "incentive_type": "discount_percent",
            "incentive_value": "10.00",
            "incentive_target": "item",
            "threshold_field": null,
            "threshold_value": null
          },
          {
            "incentive_type": "discount_percent",
            "incentive_value": "100.00",
            "incentive_target": "shipping",
            "threshold_field": "order",
            "threshold_value": "18.00"
          }
        ],
        "criteria": {
          "node_type": "PREMISE",
          "standard": "N_LIVE_SUBSCRIPTIONS_FOR_SUBSCRIBER",
          "premise_value": 1,
          "premise_operand": "EQUAL"
        },
        "public_id": "5dab3eeb9e7f4bd19f0b5437ebed3994"
      }
    ]
  },
  "offers": [
    {
      "public_id": "ac2ef06fbg46422aa0ce5e87c8ae40ee",
      "name": "Standard Offer",
      "offer_type": 1,
      "weight": 100,
      "live": true,
      "module_view": 1
    }
  ],
  "premises": []
}
```

**Response**

```json
{}
```

**SDK Code**

```python Standardized Offer Profile w/ Multiple Incentives
import requests

url = "https://restapi.ordergroove.com/offer_profiles/load/"

payload = {
    "public_id": "a4c20391b383454ba7a57646569e1aed",
    "name": "Jan 2026 Threshold Test",
    "weight": 100,
    "live": False,
    "initial_coupon": {
        "public_id": "fb8018c2a21c41a3b5d573ad12670f47",
        "name": "Jan 2026 Initial Coupon",
        "code": "rc3_ioi_coupon",
        "conditions": [],
        "incentives": [
            {
                "object": 2,
                "field": 1,
                "type": "discount_percent",
                "value": "0.00",
                "threshold_field": None,
                "threshold_value": None,
                "limit_value": None,
                "limit_policy": None,
                "name": "Jan 2026 Initial Coupon initial discount",
                "public_id": "c47ef85fve1945e0bbf3ab304e442b6e",
                "polymorphic_type": "Discount"
            }
        ],
        "standard_flex_incentives": [
            {
                "incentives": [
                    {
                        "incentive_type": "discount_percent",
                        "incentive_value": "15.00",
                        "incentive_target": "item",
                        "threshold_field": None,
                        "threshold_value": None
                    }
                ],
                "criteria": {
                    "node_type": "PREMISE",
                    "standard": "PREPAID_ORDERS_PER_BILLING",
                    "premise_value": 6
                },
                "public_id": "f75fffg16938487h91abd756b121aed4"
            },
            {
                "incentives": [
                    {
                        "incentive_type": "discount_percent",
                        "incentive_value": "15.00",
                        "incentive_target": "item",
                        "threshold_field": None,
                        "threshold_value": None
                    }
                ],
                "criteria": {
                    "node_type": "PREMISE",
                    "standard": "PREPAID_ORDERS_PER_BILLING",
                    "premise_value": 12
                },
                "public_id": "e964d27360d549f6a6967ca22a4174ca"
            }
        ]
    },
    "recurring_coupon": {
        "public_id": "927e05efa6fb2b9fa07f40c482db330d",
        "name": "Jan 2026 Recurring Coupon",
        "code": "rc3_recurring_coupon",
        "conditions": [],
        "incentives": [
            {
                "object": 2,
                "field": 1,
                "type": "discount_percent",
                "value": "10.00",
                "threshold_field": 1,
                "threshold_value": None,
                "limit_value": None,
                "limit_policy": None,
                "name": "Jan 2026 Recurring Coupon recurring discount - 0",
                "public_id": "08782af43c0b4916a5e7de906735d94f",
                "polymorphic_type": "Discount"
            }
        ],
        "standard_flex_incentives": [
            {
                "incentives": [
                    {
                        "incentive_type": "discount_percent",
                        "incentive_value": "15.00",
                        "incentive_target": "item",
                        "threshold_field": None,
                        "threshold_value": None
                    }
                ],
                "criteria": {
                    "node_type": "PREMISE",
                    "standard": "PREPAID_ORDERS_PER_BILLING",
                    "premise_value": 6
                },
                "public_id": "5dab3eeb6e7f4bc19f0a5447ebed3994"
            },
            {
                "incentives": [
                    {
                        "incentive_type": "discount_percent",
                        "incentive_value": "15.00",
                        "incentive_target": "item",
                        "threshold_field": None,
                        "threshold_value": None
                    }
                ],
                "criteria": {
                    "node_type": "PREMISE",
                    "standard": "PREPAID_ORDERS_PER_BILLING",
                    "premise_value": 12
                },
                "public_id": "33b14555deb24654ad68997a7b34256a"
            },
            {
                "incentives": [
                    {
                        "incentive_type": "discount_percent",
                        "incentive_value": "15.00",
                        "incentive_target": "item",
                        "threshold_field": None,
                        "threshold_value": None
                    },
                    {
                        "incentive_type": "discount_percent",
                        "incentive_value": "100.00",
                        "incentive_target": "shipping",
                        "threshold_field": None,
                        "threshold_value": None
                    }
                ],
                "criteria": {
                    "node_type": "PREMISE",
                    "standard": "N_LIVE_SUBSCRIPTIONS_FOR_SUBSCRIBER",
                    "premise_value": 2,
                    "premise_operand": "GREATER_THAN_OR_EQUAL"
                },
                "public_id": "5dab3eeb9n7f4bc19f4b5447ebed3994"
            },
            {
                "incentives": [
                    {
                        "incentive_type": "discount_percent",
                        "incentive_value": "10.00",
                        "incentive_target": "item",
                        "threshold_field": None,
                        "threshold_value": None
                    },
                    {
                        "incentive_type": "discount_percent",
                        "incentive_value": "100.00",
                        "incentive_target": "shipping",
[...]
